org.apache.commons.math3.fitting

## Class CurveFitter.TheoreticalValuesFunction

- java.lang.Object
- - org.apache.commons.math3.fitting.CurveFitter.TheoreticalValuesFunction

- Enclosing class:
    CurveFitter<T extends ParametricUnivariateFunction>

      private class CurveFitter.TheoreticalValuesFunction
      extends java.lang.Object

  Vectorial function computing function theoretical values.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ParametricUnivariateFunction` | `f` Function to fit.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CurveFitter.TheoreticalValuesFunction(ParametricUnivariateFunction f)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModelFunction` | `getModelFunction()`
    `ModelFunctionJacobian` | `getModelFunctionJacobian()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### f

          private final ParametricUnivariateFunction f

      Function to fit.

  - ### Constructor Detail

    - #### CurveFitter.TheoreticalValuesFunction

          public CurveFitter.TheoreticalValuesFunction(ParametricUnivariateFunction f)

      Parameters:
        `f` - function to fit.

  - ### Method Detail

    - #### getModelFunction

          public ModelFunction getModelFunction()

      Returns:
        the model function values.

    - #### getModelFunctionJacobian

          public ModelFunctionJacobian getModelFunctionJacobian()

      Returns:
        the model function Jacobian.

Copyright (c) 2003-2013 Apache Software Foundation